/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package procedureroom

import (
	e "simrs-vx/internal/domain/main-entities/procedure-room"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.ProcedureRoom) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Code = *inputSrc.Infra_Code
	data.Infra_Code = inputSrc.Infra_Code
	data.Unit_Code = inputSrc.Unit_Code
	data.Specialist_Code = inputSrc.Specialist_Code
	data.Subspecialist_Code = inputSrc.Subspecialist_Code
}
